#!/bin/bash

# quick test for existdb apis availability
# to be executed server side after docker-compose up

TOKEN=$1
CI_COMMIT_REF_NAME=$2

case ${CI_COMMIT_REF_NAME} in
    "main")
    URL="http://localhost:8092/api/import-data-all?token=${TOKEN}"
    ;;
    "develop")
    URL="http://localhost:8093/api/import-data-all?token=${TOKEN}"
    ;;
    *)
    URL="http://localhost:8094/api/import-data-all?token=${TOKEN}"
    ;;
esac

echo "$(date) ::: performing data import via ${URL}"

header=$(curl --head -s --max-time 180 ${URL})

echo "$(date) ::: done. we do not check for the operation beeing completed, but we are sure the operation started!"
